<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_06) on Wed Aug 20 17:16:44 PDT 2008 -->
<TITLE>
BiMap (Google Collections Library - snapshot-20080820 (ALPHA))
</TITLE>

<META NAME="keywords" CONTENT="com.google.common.collect.BiMap interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BiMap (Google Collections Library - snapshot-20080820 (ALPHA))";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/google/common/collect/ArrayListMultimap.html" title="class in com.google.common.collect"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/google/common/collect/ClassToInstanceMap.html" title="interface in com.google.common.collect"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/google/common/collect/BiMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BiMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.google.common.collect</FONT>
<BR>
Interface BiMap&lt;K,V&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;K,V&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../com/google/common/collect/EnumBiMap.html" title="class in com.google.common.collect">EnumBiMap</A>, <A HREF="../../../../com/google/common/collect/EnumHashBiMap.html" title="class in com.google.common.collect">EnumHashBiMap</A>, <A HREF="../../../../com/google/common/collect/HashBiMap.html" title="class in com.google.common.collect">HashBiMap</A>, <A HREF="../../../../com/google/common/collect/ImmutableBiMap.html" title="class in com.google.common.collect">ImmutableBiMap</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <B>BiMap&lt;K,V&gt;</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;K,V&gt;</DL>
</PRE>

<P>
A bimap (or "bidirectional map") is a map that preserves the uniqueness of
 its values as well as that of its keys. This constraint enables bimaps to
 support an "inverse view", which is another bimap containing the same entries
 as this bimap but with reversed keys and values.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Kevin Bourrillion</DD>
</DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_java.util.Map"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface java.util.<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.Entry.html" title="class or interface in java.util">Map.Entry</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.Entry.html" title="class or interface in java.util">K</A>,<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.Entry.html" title="class or interface in java.util">V</A>&gt;</CODE></TD>
</TR>
</TABLE>
&nbsp;

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/BiMap.html#forcePut(K, V)">forcePut</A></B>(<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>&nbsp;key,
         <A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An alternate form of <code>put</code> that silently removes any existing entry
 with the value <code>value</code> before proceeding with the <A HREF="../../../../com/google/common/collect/BiMap.html#put(K, V)"><CODE>put(K, V)</CODE></A>
 operation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/google/common/collect/BiMap.html" title="interface in com.google.common.collect">BiMap</A>&lt;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>,<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/BiMap.html#inverse()">inverse</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the inverse view of this bimap, which maps each of this bimap's
 values to its associated key.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/BiMap.html#put(K, V)">put</A></B>(<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>&nbsp;key,
    <A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Associates the specified value with the specified key in this map
 (optional operation).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/BiMap.html#putAll(java.util.Map)">putAll</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>,? extends <A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies all of the mappings from the specified map to this map
 (optional operation).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/BiMap.html#values()">values</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a collection view of the values contained in this map.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Map"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#clear()" title="class or interface in java.util">clear</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#containsKey(java.lang.Object)" title="class or interface in java.util">containsKey</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#containsValue(java.lang.Object)" title="class or interface in java.util">containsValue</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#entrySet()" title="class or interface in java.util">entrySet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#get(java.lang.Object)" title="class or interface in java.util">get</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#isEmpty()" title="class or interface in java.util">isEmpty</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#keySet()" title="class or interface in java.util">keySet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#size()" title="class or interface in java.util">size</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="put(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="put(K, V)"><!-- --></A><H3>
put</H3>
<PRE>
<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A> <B>put</B>(<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>&nbsp;key,
      <A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&nbsp;value)</PRE>
<DL>
<DD>Associates the specified value with the specified key in this map
 (optional operation).  If the map previously contained a mapping for
 this key, the old value is replaced by the specified value.  (A map
 <tt>m</tt> is said to contain a mapping for a key <tt>k</tt> if and only
 if <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#containsKey(java.lang.Object)" title="class or interface in java.util"><CODE>m.containsKey(k)</CODE></A> would return
 <tt>true</tt>.))
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#put(K, V)" title="class or interface in java.util">put</A></CODE> in interface <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>,<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - key with which the specified value is to be associated.<DD><CODE>value</CODE> - value to be associated with the specified key.
<DT><B>Returns:</B><DD>previous value associated with specified key, or <tt>null</tt>
               if there was no mapping for key.  A <tt>null</tt> return can
               also indicate that the map previously associated <tt>null</tt>
               with the specified key, if the implementation supports
               <tt>null</tt> values.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if the given value is already bound to a
     different key in this bimap. The bimap will remain unmodified in this
     event. To avoid this exception, call <A HREF="../../../../com/google/common/collect/BiMap.html#forcePut(K, V)"><CODE>forcePut(K, V)</CODE></A> instead.</DL>
</DD>
</DL>
<HR>

<A NAME="forcePut(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="forcePut(K, V)"><!-- --></A><H3>
forcePut</H3>
<PRE>
<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A> <B>forcePut</B>(<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>&nbsp;key,
           <A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&nbsp;value)</PRE>
<DL>
<DD>An alternate form of <code>put</code> that silently removes any existing entry
 with the value <code>value</code> before proceeding with the <A HREF="../../../../com/google/common/collect/BiMap.html#put(K, V)"><CODE>put(K, V)</CODE></A>
 operation. If the bimap previously contained the provided key-value
 mapping, this method has no effect.

 <p>Note that a successful call to this method could cause the size of the
 bimap to increase by one, stay the same, or even decrease by one.

 <p><b>Warning</b>: If an existing entry with this value is removed, the key
 for that entry is discarded and not returned.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key with which the specified value is to be associated<DD><CODE>value</CODE> - the value to be associated with the specified key
<DT><B>Returns:</B><DD>the value which was previously associated with the key, which may
     be <code>null</code>, or <code>null</code> if there was no previous entry</DL>
</DD>
</DL>
<HR>

<A NAME="putAll(java.util.Map)"><!-- --></A><H3>
putAll</H3>
<PRE>
void <B>putAll</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>,? extends <A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&gt;&nbsp;map)</PRE>
<DL>
<DD>Copies all of the mappings from the specified map to this map
 (optional operation).  The effect of this call is equivalent to that
 of calling <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#put(K, V)" title="class or interface in java.util"><CODE>put(k, v)</CODE></A> on this map once
 for each mapping from key <tt>k</tt> to value <tt>v</tt> in the
 specified map.  The behavior of this operation is unspecified if the
 specified map is modified while the operation is in progress.

 <p><b>Warning:</b> the results of calling this method may vary depending on
 the iteration order of <code>map</code>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#putAll(java.util.Map)" title="class or interface in java.util">putAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>,<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>map</CODE> - Mappings to be stored in this map.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if an attempt to <code>put</code> any
     entry fails. Note that some map entries may have been added to the
     bimap before the exception was thrown.</DL>
</DD>
</DL>
<HR>

<A NAME="values()"><!-- --></A><H3>
values</H3>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&gt; <B>values</B>()</PRE>
<DL>
<DD>Returns a collection view of the values contained in this map.  The
 collection is backed by the map, so changes to the map are reflected in
 the collection, and vice-versa.  If the map is modified while an
 iteration over the collection is in progress (except through the
 iterator's own <tt>remove</tt> operation), the results of the
 iteration are undefined.  The collection supports element removal,
 which removes the corresponding mapping from the map, via the
 <tt>Iterator.remove</tt>, <tt>Collection.remove</tt>,
 <tt>removeAll</tt>, <tt>retainAll</tt> and <tt>clear</tt> operations.
 It does not support the add or <tt>addAll</tt> operations.

 <p>Because a bimap has unique values, this method returns a <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util"><CODE>Set</CODE></A>,
 instead of the <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collection.html" title="class or interface in java.util"><CODE>Collection</CODE></A> specified in the <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util"><CODE>Map</CODE></A>
 interface.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#values()" title="class or interface in java.util">values</A></CODE> in interface <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>,<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a collection view of the values contained in this map.</DL>
</DD>
</DL>
<HR>

<A NAME="inverse()"><!-- --></A><H3>
inverse</H3>
<PRE>
<A HREF="../../../../com/google/common/collect/BiMap.html" title="interface in com.google.common.collect">BiMap</A>&lt;<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">V</A>,<A HREF="../../../../com/google/common/collect/BiMap.html" title="type parameter in BiMap">K</A>&gt; <B>inverse</B>()</PRE>
<DL>
<DD>Returns the inverse view of this bimap, which maps each of this bimap's
 values to its associated key. The two bimaps are backed by the same data;
 any changes to one will appear in the other.

 <p><b>Note:</b>There is no guaranteed correspondence between the iteration
 order of a bimap and that of its inverse.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the inverse view of this bimap</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/google/common/collect/ArrayListMultimap.html" title="class in com.google.common.collect"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/google/common/collect/ClassToInstanceMap.html" title="interface in com.google.common.collect"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/google/common/collect/BiMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BiMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
